package com.ruoyi.material.mapper;

import java.util.List;
import com.ruoyi.material.domain.CMaterial;
import com.ruoyi.material.domain.CMaterialCost;
import com.ruoyi.material.domain.temp;

/**
 * 物料管理Mapper接口
 *
 * @author ruoyi
 * @date 2024-02-28
 */
public interface CMaterialMapper
{
    /**
     * 查询物料管理
     *
     * @param materialId 物料管理主键
     * @return 物料管理
     */
    public CMaterial selectCMaterialByMaterialId(Long materialId);

    /**
     * 查询物料管理列表
     *
     * @param cMaterial 物料管理
     * @return 物料管理集合
     */
    public List<CMaterial> selectCMaterialList(CMaterial cMaterial);

    /**
     * 新增物料管理
     *
     * @param cMaterial 物料管理
     * @return 结果
     */
    public int insertCMaterial(CMaterial cMaterial);

    /**
     * 修改物料管理
     *
     * @param cMaterial 物料管理
     * @return 结果
     */
    public int updateCMaterial(CMaterial cMaterial);

    /**
     * 删除物料管理
     *
     * @param materialId 物料管理主键
     * @return 结果
     */
    public int deleteCMaterialByMaterialId(Long materialId);

    /**
     * 批量删除物料管理
     *
     * @param materialIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCMaterialByMaterialIds(Long[] materialIds);

    /**
     * 批量删除物料成本
     *
     * @param materialIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCMaterialCostByCostMaterialIds(Long[] materialIds);

    /**
     * 批量新增物料成本
     *
     * @param cMaterialCostList 物料成本列表
     * @return 结果
     */
    public int batchCMaterialCost(List<CMaterialCost> cMaterialCostList);


    /**
     * 通过物料管理主键删除物料成本信息
     *
     * @param materialId 物料管理ID
     * @return 结果
     */
    public int deleteCMaterialCostByCostMaterialId(Long materialId);

    /**
     * 拉取临时物料及用量表
     * @return
     */
    List<temp> selectTemp();
}
